The blas package

[Tags:blas, bsd3, deprecated, library, matrix, solver]
Deprecated. in favor of hblas

The BLAS (Basic Linear Algebra Subprograms) are routines that provide standard building blocks for performing basic vector and matrix operations. The Level 1 BLAS perform scalar, vector and vector-vector operations, the Level 2 BLAS perform matrix-vector operations, and the Level 3 BLAS perform matrix-matrix operations. Because the BLAS are efficient, portable, and widely available, they are commonly used in the development of high quality linear algebra software, LAPACK for example.

For more information, see the Netlib BLAS webpage: http://www.netlib.org/blas/


[Skip to Readme]

Properties

Versions 0.4, 0.4.1, 0.5, 0.6, 0.7, 0.7.1, 0.7.2, 0.7.5, 0.7.6 (info)
Dependencies base, ieee, QuickCheck (>=1.2), storable-complex [details]
License BSD3
Copyright (c) 2008. Patrick Perry <patperry@stanford.edu>
Author Patrick Perry
Maintainer Patrick Perry <patperry@stanford.edu>
Stability Unknown
Category Math
Home page http://github.com/patperry/blas
Uploaded Sat Jan 10 09:54:17 UTC 2009 by PatrickPerry
Distributions NixOS:0.7.6
Downloads 2084 total (34 in the last 30 days)
Votes
0 []
Status Docs uploaded by user
Build status unknown [no reports yet]

Modules

[Index]

Downloads

Maintainer's Corner

For package maintainers and hackage trustees

Readme for blas

Readme for blas-0.7

To build the package, there is no need to run the configure script.  Just
use the standard cabal commands:

    runhaskell Setup.lhs configure
    runhaskell Setup.lhs build
    runhaskell Setup.lhs install
    
The package uses a script to find what BLAS library to link with.  To link
with a custom BLAS, add the "--with-blas=<lib>" argument to --configure-option,
e.g

    runhaskell Setup.lhs configure --configure-option="--with-blas=<lib>"

To build this package from the git repository, first run
    aclocal -I m4
    autoreconf